Class {
	#name : 'PPCMHeader',
	#superclass : 'PPCMDelegateNode',
	#instVars : [
		'level',
		'title'
	],
	#category : 'PetitMarkdown-AST'
}

{ #category : 'visiting' }
PPCMHeader >> accept: visitor [
	^ visitor visitHeader: self
]

{ #category : 'initialization' }
PPCMHeader >> initialize [
	super initialize.
	children := Array new: 1.
]

{ #category : 'accessing' }
PPCMHeader >> isBlockLevel [
	^ true
]

{ #category : 'accessing' }
PPCMHeader >> level [
	^ level
]

{ #category : 'accessing' }
PPCMHeader >> level: anObject [
	level := anObject
]

{ #category : 'accessing' }
PPCMHeader >> title [
	^ self child
]

{ #category : 'accessing' }
PPCMHeader >> title: anObject [
	self children at: 1 put: anObject
]
