Class {
	#name : 'PPCMPlainLine',
	#superclass : 'PPCMNode',
	#instVars : [
		'text'
	],
	#category : 'PetitMarkdown-AST'
}

{ #category : 'as yet unclassified' }
PPCMPlainLine class >> empty [
	^ self new
		text: '';
		yourself
]

{ #category : 'visiting' }
PPCMPlainLine >> accept: visitor [
	^ visitor visitPlainLine: self
]

{ #category : 'accessing' }
PPCMPlainLine >> isBlankLine [
	^ self text = ''
]

{ #category : 'accessing' }
PPCMPlainLine >> isLine [
	^ true
]

{ #category : 'visiting' }
PPCMPlainLine >> text [
	^ text
]

{ #category : 'visiting' }
PPCMPlainLine >> text: whatever [
	text := whatever
]
